import { gql } from "@apollo/client";

export const PIPELINE = gql`
  query Pipeline($id: String!) {
    pipeline(id: $id) {
      id
      name
      projectId
      branch
      workUnitMetadata {
        version
        units {
          type
          scripts
        }
      }
    }
  }
`;

export const CONFIGURATION = gql`
  query QueryGetConfigurationArgs($pipelineId: String!, $projectId: String!) {
    configuration: getConfiguration(
      pipelineId: $pipelineId
      projectId: $projectId
    ) {
      id
      content
      language
      pipelineId
      projectId
      name
    }
  }
`;
